=== trunk/src/orxonox/overlays/CMakeLists.txt ===
ADD_SOURCE_FILES(ORXONOX_SRC_FILES
  OrxonoxOverlay.cc
  OverlayGroup.cc
  OverlayText.cc
  GUIOverlay.cc
)

ADD_SUBDIRECTORY(console)
ADD_SUBDIRECTORY(debug)
ADD_SUBDIRECTORY(hud)
ADD_SUBDIRECTORY(map)
ADD_SUBDIRECTORY(notifications)
ADD_SUBDIRECTORY(stats)
