=== trunk/src/orxonox/tools/CMakeLists.txt ===
ADD_SOURCE_FILES(ORXONOX_SRC_FILES
  BillboardSet.cc
  Mesh.cc
  ParticleInterface.cc
  Shader.cc
  TextureGenerator.cc
  TimeFactorListener.cc
  Timer.cc
  WindowEventListener.cc
  DynamicLines.cpp
  DynamicRenderable.cpp
)
