=== trunk/archlinux/PKGBUILD ===
pkgname=orxonox-svn
pkgver=2826
pkgrel=1
pkgdesc="Orxonox - the hottest 3D action shooter ever to exist"
arch=('i686' 'x86_64')
url="http://www.orxonox.net/"
license=('GPL')
depends=('ogre-branch-1.4' 'tcl' 'cegui' 'enet' 'boost' 'freealut' 'libvorbis')
makedepends=('subversion' 'cmake')
conflicts=('orxonox')
provides=('orxonox')
source=()
md5sums=()

_svntrunk=http://svn.orxonox.net/orxonox/trunk
_svnmedia=http://svn.orxonox.net/data/media
_svnmod=orxonox

build() {
  cd $startdir/src
  svn co $_svntrunk $_svnmod
  cd $_svnmod
  svn co $_svnmedia
  mkdir build
  cd build
  msg "Starting build..."
  cmake ..
  make || return 1
  make DESTDIR=${startdir}/pkg install
  #rm -rf $startdir/src/$_svnmod/build
}
